## linux-meta-6.16 6.16.0-17.17

=== debian/changelog ===
linux-meta-6.16 (6.16.0-17.17) questing; urgency=medium

  * Main version: 6.16.0-17.17

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Mon, 25 Aug 2025 18:10:25 +0300

linux-meta-6.16 (6.16.0-15.15) questing; urgency=medium

  * Main version: 6.16.0-15.15

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 14 Aug 2025 14:47:42 +0200

linux-meta-6.16 (6.16.0-14.14) questing; urgency=medium

  * Main version: 6.16.0-14.14

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

  * Miscellaneous Ubuntu changes
    - [Packaging] switch to linux-6.16

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 14 Aug 2025 09:15:41 +0200

linux-meta-6.16 (6.16.0-13.13+1) questing; urgency=medium


  * Miscellaneous Ubuntu changes
    - [Packaging] make linux-modules-ipu6-oem-24.04 depends on linux-
      modules-${kernel-abi-version}-generic

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 12 Aug 2025 17:28:29 +0200

linux-meta (6.16.0-13.13) questing; urgency=medium

  * Main version: 6.16.0-13.13

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] v6.16 now provides Intel ipu6-modules

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 07 Aug 2025 16:33:11 +0200

linux-meta (6.16.0-12.12) questing; urgency=medium

  * Main version: 6.16.0-12.12

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 07 Aug 2025 09:59:54 +0200

linux-meta (6.16.0-11.11) questing; urgency=medium

  * Main version: 6.16.0-11.11

 -- Paolo Pisati <paolo.pisati@canonical.com>  Sat, 02 Aug 2025 11:25:51 +0200

linux-meta (6.16.0-10.10) questing; urgency=medium

  * Main version: 6.16.0-10.10

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 28 Jul 2025 08:23:37 +0200

linux-meta (6.16.0-9.9) questing; urgency=medium

  * Main version: 6.16.0-9.9

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 21 Jul 2025 09:51:22 +0200

linux-meta (6.16.0-8.8) questing; urgency=medium

  * Main version: 6.16.0-8.8

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 17 Jul 2025 15:14:32 +0200

linux-meta (6.16.0-0.0) questing; urgency=medium

  * Empty entry

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 17 Jul 2025 15:13:18 +0200

linux-meta (6.15.0-4.4) questing; urgency=medium

  * Main version: 6.15.0-4.4

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Fri, 04 Jul 2025 15:00:42 +0300

linux-meta (6.15.0-3.3+1) questing; urgency=medium


  * Miscellaneous Ubuntu changes
    - [Packaging] Disable oem iwlwifi transitional deps for now, until backport-
      iwlwifi-dkms builds.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 25 Jun 2025 19:06:04 +0300

linux-meta (6.15.0-3.3) questing; urgency=medium

  * Main version: 6.15.0-3.3

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] Replace linux-modules-extra with linux-modules for generic image
      depends.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 04 Jun 2025 09:14:40 +0300

linux-meta (6.15.0-0.0) questing; urgency=medium

  * Dummy entry.

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Wed, 04 Jun 2025 09:08:36 +0300

linux-meta (6.14.0-17.17) plucky; urgency=medium

  * Main version: 6.14.0-17.17

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Mehmet Basaran <mehmet.basaran@canonical.com>  Thu, 01 May 2025 10:40:31 +0300

linux-meta (6.14.0-15.15) plucky; urgency=medium

  * Main version: 6.14.0-15.15

 -- Paolo Pisati <paolo.pisati@canonical.com>  Sun, 06 Apr 2025 15:11:50 +0200

linux-meta (6.14.0-14.14) plucky; urgency=medium

  * Main version: 6.14.0-14.14

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 04 Apr 2025 15:15:25 +0200

linux-meta (6.14.0-13.13) plucky; urgency=medium

  * Main version: 6.14.0-13.13

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 26 Mar 2025 20:27:31 +0100

linux-meta (6.14.0-12.12) plucky; urgency=medium

  * Main version: 6.14.0-12.12

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 26 Mar 2025 10:51:05 +0100

linux-meta (6.14.0-11.11) plucky; urgency=medium

  * Main version: 6.14.0-11.11

  * Miscellaneous Ubuntu changes
    - [Packaging] add transitionals for oem-24.04 ipu7

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 17 Mar 2025 11:31:54 +0100

linux-meta (6.14.0-10.10) plucky; urgency=medium

  * Main version: 6.14.0-10.10

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 12 Mar 2025 14:50:17 +0100

linux-meta (6.14.0-9.9) plucky; urgency=medium

  * Main version: 6.14.0-9.9

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 11 Mar 2025 12:45:28 +0100

linux-meta (6.14.0-8.8) plucky; urgency=medium

  * Main version: 6.14.0-8.8

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] Add lowlatency-kernel meta packages

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 10 Mar 2025 18:59:34 +0100

linux-meta (6.14.0-7.7) plucky; urgency=medium

  * Main version: 6.14.0-7.7

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Feb 2025 10:46:37 +0100

linux-meta (6.14.0-6.6) plucky; urgency=medium

  * Main version: 6.14.0-6.6

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Feb 2025 09:44:48 +0100

linux-meta (6.14.0-5.5) plucky; urgency=medium

  * Main version: 6.14.0-5.5

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 26 Feb 2025 14:33:09 +0100

linux-meta (6.14.0-4.4) plucky; urgency=medium

  * Main version: 6.14.0-4.4


