## linux-meta-6.16 6.16.0-17.17+1

=== debian/changelog ===
linux-meta-6.16 (6.16.0-17.17+1) questing; urgency=medium


  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Tue, 30 Sep 2025 11:33:52 +0300
