=== debian/control ===
--- 
+++ 
@@ -151,6 +151,77 @@
  enable kernel boot arguments tuned for latency-sensitive applications.
 
 
+Package: linux-headers-generic-hwe-24.04-brg-25.10
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic
+Description: Generic Linux kernel headers
+ This package will always depend on the latest generic kernel headers
+ available.
+
+Package: linux-image-generic-hwe-24.04-brg-25.10
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: kernel
+Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules} ${dkms:ipu6-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic, linux-modules-${kernel-abi-version}-generic [amd64 arm64 ppc64el s390x], linux-firmware [amd64 armhf arm64 ppc64el], intel-microcode [amd64], amd64-microcode [amd64]
+Recommends: thermald [amd64]
+Description: Generic Linux kernel image
+ This package will always depend on the latest generic kernel image
+ available.
+
+Package: linux-image-uc-generic-hwe-24.04-brg-25.10
+Architecture: amd64 arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-image-uc-${kernel-abi-version}-generic, linux-modules-${kernel-abi-version}-generic, linux-firmware, firmware-sof-signed [amd64], wireless-regdb
+Description: Generic Linux kernel image for Ubuntu Core
+ This package will always depend on the latest generic kernel image
+ available.
+ .
+ This kernel is suitable for staging into a kernel snap, and is not
+ suitable to be used directly on classic systems.
+
+Package: linux-tools-generic-hwe-24.04-brg-25.10
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-generic
+Description: Generic Linux kernel tools
+ This package will always depend on the latest generic kernel tools
+ available.
+
+Package: linux-cloud-tools-generic-hwe-24.04-brg-25.10
+Architecture: amd64
+Section: kernel
+Provides: linux-cloud-tools
+Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-generic
+Description: Generic Linux kernel cloud tools
+ This package will always depend on the latest generic kernel cloud tools
+ available.
+
+Package: linux-generic-hwe-24.04-brg-25.10
+Architecture: amd64 armhf arm64 ppc64el s390x
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-image-generic-hwe-24.04-brg-25.10 (= ${binary:Version}), linux-headers-generic-hwe-24.04-brg-25.10 (= ${binary:Version})
+Recommends: linux-tools-${kernel-abi-version}-generic, ubuntu-kernel-accessories
+Description: Complete Generic Linux kernel and headers
+ This package will always depend on the latest complete generic Linux kernel
+ and headers.
+
+Package: linux-lowlatency-hwe-24.04-brg-25.10
+Architecture: amd64 arm64
+Section: kernel
+Provides: ,
+ kernel-supports-lowlatency-bootargs,
+Depends: ${misc:Depends}, linux-image-generic-hwe-24.04-brg-25.10 (= ${binary:Version}), linux-headers-generic-hwe-24.04-brg-25.10 (= ${binary:Version}),
+ lowlatency-kernel,
+Recommends: linux-tools-${kernel-abi-version}-generic, ubuntu-kernel-accessories
+Description: Complete Generic Linux kernel and headers with lowlatency boot configuration
+ This package will always depend on the latest complete generic Linux kernel
+ and headers. Additionally, it will install the lowlatency-kernel package to
+ enable kernel boot arguments tuned for latency-sensitive applications.
+
+
 Package: linux-headers-generic-64k-6.16
 Architecture: arm64
 Section: kernel
@@ -192,79 +263,3 @@
 Architecture: arm64
 Section: kernel
 Provides: kernel-testing--linux-6.16--full--lowlatency-64k,, kernel-supports-lowlatency-bootargs,
-Depends: ${misc:Depends}, linux-image-generic-64k-6.16 (= ${binary:Version}), linux-headers-generic-64k-6.16 (= ${binary:Version}),
- lowlatency-kernel,
-Recommends: linux-tools-${kernel-abi-version}-generic-64k, ubuntu-kernel-accessories
-Description: Complete Generic 64K Linux kernel and headers with lowlatency boot configuration
- This package will always depend on the latest complete generic-64k Linux kernel
- and headers. Additionally, it will install the lowlatency-kernel package to
- enable kernel boot arguments tuned for latency-sensitive applications.
-
-
-Package: linux-headers-generic-64k-brg-25.10
-Architecture: arm64
-Section: kernel
-Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-generic-64k
-Description: Generic 64K Linux kernel headers
- This package will always depend on the latest generic-64k kernel headers
- available.
-
-Package: linux-image-generic-64k-brg-25.10
-Architecture: arm64
-Section: kernel
-Provides: ${dkms:wireguard-linux-compat-modules}
-Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic-64k, linux-firmware
-Recommends: thermald [amd64]
-Description: Generic 64K Linux kernel image
- This package will always depend on the latest generic-64k kernel image
- available.
-
-Package: linux-tools-generic-64k-brg-25.10
-Architecture: arm64
-Section: kernel
-Provides: linux-tools
-Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-generic-64k
-Description: Generic 64K Linux kernel tools
- This package will always depend on the latest generic-64k kernel tools
- available.
-
-Package: linux-generic-64k-brg-25.10
-Architecture: arm64
-Section: kernel
-Provides: 
-Depends: ${misc:Depends}, linux-image-generic-64k-brg-25.10 (= ${binary:Version}), linux-headers-generic-64k-brg-25.10 (= ${binary:Version})
-Recommends: linux-tools-${kernel-abi-version}-generic-64k, ubuntu-kernel-accessories
-Description: Complete Generic 64K Linux kernel and headers
- This package will always depend on the latest complete generic-64k Linux kernel
- and headers.
-
-Package: linux-lowlatency-64k-brg-25.10
-Architecture: arm64
-Section: kernel
-Provides: , kernel-supports-lowlatency-bootargs,
-Depends: ${misc:Depends}, linux-image-generic-64k-brg-25.10 (= ${binary:Version}), linux-headers-generic-64k-brg-25.10 (= ${binary:Version}),
- lowlatency-kernel,
-Recommends: linux-tools-${kernel-abi-version}-generic-64k, ubuntu-kernel-accessories
-Description: Complete Generic 64K Linux kernel and headers with lowlatency boot configuration
- This package will always depend on the latest complete generic-64k Linux kernel
- and headers. Additionally, it will install the lowlatency-kernel package to
- enable kernel boot arguments tuned for latency-sensitive applications.
-
-
-Package: linux-headers-virtual-6.16
-Architecture: amd64 arm64 armhf ppc64el s390x
-Section: kernel
-Depends: ${misc:Depends}, linux-headers-generic-6.16 (= ${binary:Version})
-Description: Virtual Linux kernel headers
- This package will always depend on linux-headers-generic.
-
-Package: linux-image-virtual-6.16
-Architecture: amd64 arm64 armhf ppc64el s390x
-Section: kernel
-Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-generic
-Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
-Description: Virtual Linux kernel image
- This package will always depend on the latest minimal generic kernel image
- used for virtual instances.
-
-Package: linux-tools-virtual-6.16
